<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" class="h-100">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="//code.jquery.com/jquery-3.2.1.slim.min.js"></script>
    <script src="{{ asset_admin('assets/js/bootstrap.min.js') }}" defer></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/js/all.min.js"></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="//fonts.googleapis.com/css2?family=Muli:wght@300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css" />

    <!-- Styles -->
    <link href="{{ asset_admin('assets/css/bootstrap.min.css') }}" rel="stylesheet">
</head>
<body class="h-100">
    <div id="app" class="d-flex flex-column h-100">
        @if (Route::currentRouteName() != 'login')
            <nav class="navbar navbar-expand-md navbar-light bg-white" style="border-bottom: 1px solid #eaedf1;">
                <div class="container">
                    <a class="navbar-brand" href="{{ url('/') }}">
                        {{ config('app.name', 'Laravel') }}
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Left Side Of Navbar -->
                        <ul class="navbar-nav mr-auto">
                            <li class="nav-item {{ Request::is('admin') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin') }}"><i class="fa fa-home mr-2"></i> Admin</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/language*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.language.index') }}"><i class="fa fa-globe mr-2"></i> Language</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/translation*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.translation.index') }}"><i class="fa fa-language mr-2"></i> Translates</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/option*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.option.index') }}"><i class="fa fa-cog mr-2"></i> Settings</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/split*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.split.index') }}"><i class="fas fa-chess-board mr-2"></i></i> Splits</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/template*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.template.index') }}"><i class="fa fa-layer-group mr-2"></i> Templates</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/export*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.export.index') }}"><i class="fa fa-file-export mr-2"></i> Exports</a>
                            </li>
                            <li class="nav-item {{ Request::is('admin/page*') ? 'active' : '' }}">
                                <a class="nav-link" href="{{ route('admin.page.index') }}"><i class="fas fa-clone mr-2"></i> Pages</a>
                            </li>
                        </ul>

                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            @guest
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                                @if (Route::has('register'))
                                    <li class="nav-item">
                                        <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                    </li>
                                @endif
                            @else
                                <li class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        {{ Auth::user()->name }} <span class="caret"></span>
                                    </a>

                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="{{ route('logout') }}"
                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                            {{ __('Logout') }}
                                        </a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                            @csrf
                                        </form>
                                    </div>
                                </li>
                            @endguest
                        </ul>
                    </div>
                </div>
            </nav>
        @endif

        <main class="py-4">
            @yield('content')
        </main>
        @auth
            <footer class="bg-white border-top mt-auto py-3 sticky-bottom">
                <div class="container text-center">
                    <a href="https://www.nanosia.com/mopie" class="mr-3" target="_blank">Mopie</a>
                    <a href="https://docs.nanosia.com/mopie" class="mr-3" target="_blank">Documentations</a>
                </div>
            </footer>
        @endauth
    </div>

    @yield('footer')
    <style>
        body {font-family: 'Muli', sans-serif;background: #eef0f4;}
        .navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link{font-weight: bold}
        thead{background: #e3e4e5;}
    </style>
</body>
</html>
